%define		extension gnome-keyring
Summary:	Extension that enables Gnome Keyring integration
Name:		mozilla-addon-%{extension}
Version:	0.6.7
Release:	2
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	https://github.com/infinity0/mozilla-gnome-keyring/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c69d2816e0543baec478ab9d57a38e43
Patch0:	make.patch
URL:		https://github.com/infinity0/mozilla-gnome-keyring/
BuildRequires:	libgnome-keyring-devel >= 3.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkg-config
BuildRequires:	xulrunner-devel
BuildRequires:	zip
Requires:	libgnome-keyring >= 3.4.0
ExclusiveArch:	%{x8664} %{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# this comes from install.rdf
%define		extension_id	\{6f9d85e0-794d-11dd-ad8b-0800200c9a66\}
%define		extensionsdir	%{_libdir}/mozilla/extensions

# https://developer.mozilla.org/en/XPCOM_ABI#ABI_Naming
%define		platform		unknown
%ifarch %{ix86}
%define		platform		Linux_x86-gcc3
%endif
%ifarch %{x8664}
%define		platform		Linux_x86_64-gcc3
%endif

%description
This extension replaces the default password manager in both Firefox
and Thunderbird with an implementation which stores the passwords in
Gnome keyring.

This allows for safe storage of passwords without prompting for
password after Firefox or Thunderbird has been started.

%prep
%setup -qn mozilla-gnome-keyring-%{version}
%patch0 -p1

%{__sed} -i -e '/^CXXFLAGS/ s/$/ $(OPTFLAGS)/' Makefile

%build
# build ext for current arch only
%{__make} build-xpi \
	PLATFORM=%{platform} \
	VERSION=%{version} \
	XUL_VER_MIN=17.0 \
	CXX="%{__cxx}" \
	LDFLAGS="%{rpmldflags}" \
	OPTFLAGS="%{rpmcxxflags} -fpermissive"

%install
rm -rf $RPM_BUILD_ROOT
# Install Gecko extension
install -d $RPM_BUILD_ROOT%{extensionsdir}/%{extension_id}
cp -a xpi/* $RPM_BUILD_ROOT%{extensionsdir}/%{extension_id}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{extensionsdir}/%{extension_id}
%{extensionsdir}/%{extension_id}/chrome
%{extensionsdir}/%{extension_id}/chrome.manifest
%{extensionsdir}/%{extension_id}/defaults
%{extensionsdir}/%{extension_id}/install.rdf
%dir %{extensionsdir}/%{extension_id}/platform
%dir %{extensionsdir}/%{extension_id}/platform/%{platform}
%dir %{extensionsdir}/%{extension_id}/platform/%{platform}/components
%attr(755,root,root) %{extensionsdir}/%{extension_id}/platform/%{platform}/components/libgnomekeyring.so
%changelog
* Fri Jun 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mozilla-addon-gnome-keyring.git;a=log;h=master

* Fri Jun 28 2013 Jan Rękorajski <baggins@pld-linux.org> 85886ca
- release 2 (by relup.sh)

* Wed Feb 20 2013 Elan Ruusamäe <glen@delfi.ee> 5edc541
- do not build xpcom_abi if not needed

* Wed Feb 20 2013 Elan Ruusamäe <glen@delfi.ee> 562f395
- up to 0.6.7, keep XUL min version at 17.0 (current icedove version)t sh

* Wed Feb 20 2013 Elan Ruusamäe <glen@delfi.ee> 1092c6f
- requires xulrunner-libs, not xulrunner itself

* Wed Jan 23 2013 Jan Rękorajski <baggins@pld-linux.org> 52263ab
- rel 4

* Fri Jan 11 2013 Jan Rękorajski <baggins@pld-linux.org> dfe4d36
- fix building with xulrunner 18.0

* Fri Jan 11 2013 Jan Rękorajski <baggins@pld-linux.org> a5a6fb6
- release 2 (by relup.sh)

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 9f30ad5
- up to 0.6.5. verified works in icedove

* Sun Dec 02 2012 Jan Rękorajski <baggins@pld-linux.org> 5ad6aa1
- release 11 (by relup.sh)

* Tue Nov 27 2012 Jan Rękorajski <baggins@pld-linux.org> 1088fe5
- fix missing nsnull type
- rel 10

* Tue Nov 27 2012 Jan Rękorajski <baggins@pld-linux.org> c7f4897
- Revert "- up to 0.6.5"

* Tue Nov 27 2012 Jan Rękorajski <baggins@pld-linux.org> 8b7b59d
- up to 0.6.5

* Tue Nov 27 2012 Jan Rękorajski <baggins@pld-linux.org> b031222
- release 9 (by relup.sh)

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 78c262b
- Release 8

* Thu Jul 19 2012 Jan Rękorajski <baggins@pld-linux.org> 160717e
- Release 7

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 2dbb23b
- release 6 (by relup.sh)

* Wed Jun 06 2012 Jan Rękorajski <baggins@pld-linux.org> 92bd121
- rel 5
- rebuild with xulrunner 13

* Wed May 16 2012 Elan Ruusamäe <glen@pld-linux.org> 61922d3
- keep xul minversion (so that icedove 11.x can work with xulrunner 12.x)

* Sun May 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 36c1bdd
- release 3

* Fri Mar 30 2012 Elan Ruusamäe <glen@pld-linux.org> 9a226b9
- damn gnome forward compatible deps that can't be nicely handled in rpm
  BR newer gcr to ensure runtime has at least same version, but do not lock at strict version yet
  /usr/lib/icedove/icedove-bin: symbol lookup error: /home/users/glen/.icedove/glen/extensions/{6f9d85e0-794d-11dd-ad8b-0800200c9a66}/platform/Linux_x86-gcc3/components/libgnomekeyring.so: undefined symbol: gnome_keyring_attribute_list_new

